letsencrypt ошибка api

Аватара пользователя
ordex
Сообщения: 335
Зарегистрирован: Вт ноя 20, 2018 2:47 pm

Re: letsencrypt ошибка api

Сообщение ordex » Вт окт 05, 2021 12:22 pm

Через браузер открывается нормально. На одной перешел на ssl от cloudflare, визжать об ошибке перестало. На другой, к сожалению, такой возможности нет. Ну, ок.

morlet
Сообщения: 3
Зарегистрирован: Пн окт 04, 2021 8:47 am

Re: letsencrypt ошибка api

Сообщение morlet » Чт окт 07, 2021 7:27 pm

Все выполнил.
Ошибка работы с сокетами в Битриксе осталась.
ТП Битрикса, естественно, отсылает к ТП BrainyCP :mrgreen:
Заменил сертификат сайта на FreeSSL...
Ошибка в Битриксе пропала.
Почти все основные браузеры сертификат приняли. Мозилла же отказывается открывать сайт наотрез.... Типа не та версия TLS...
Ставлю обратно сертификат letsencrypt - Мозилла открывает сайт, другие браузеры открывают, встроенная проверка пестрит красными сообщениями об ошибке работы с сокетами....
Бред....

Аватара пользователя
alenka
Сообщения: 843
Зарегистрирован: Ср сен 27, 2017 11:10 am

Re: letsencrypt ошибка api

Сообщение alenka » Вт окт 19, 2021 11:59 am

Для centos 8 выполнить команды:

trust dump --filter "pkcs11:id=%c4%a7%b1%a4%7b%2c%71%fa%db%e1%4b%90%75%ff%c4%15%60%85%89%10" | openssl x509 | sudo tee /etc/pki/ca-trust/source/blacklist/DST-Root-CA-X3.pem

update-ca-trust
и пересобрать jail

Akrobs
Сообщения: 325
Зарегистрирован: Чт сен 21, 2017 10:48 pm
Откуда: Saint-Petersburg
Контактная информация:

Re: letsencrypt ошибка api

Сообщение Akrobs » Пт окт 22, 2021 12:26 pm

Здравствуйте.
А для CentOS7 есть решение?

Аватара пользователя
alenka
Сообщения: 843
Зарегистрирован: Ср сен 27, 2017 11:10 am

Re: letsencrypt ошибка api

Сообщение alenka » Пт окт 22, 2021 2:03 pm

alenka писал(а):
Пт окт 01, 2021 9:52 am
DST Root CA X3 истекает 30 сентября 2021 года.

При предоставлении api, клиенты будут получать ошибку сертификата, для решения выполнить команды:

yum clean all
yum install ca-certificates

После выполнения команд, проверяем cat /etc/pki/tls/certs/ca-bundle.crt | grep "Root CA X3"
Вывод должен быть пустым.

О данном нюансе можете почитать по ссылке https://letsencrypt.org/ru/docs/dst-roo ... mber-2021/

Аватара пользователя
KyKyIIIKuH
Сообщения: 241
Зарегистрирован: Ср мар 14, 2018 11:04 am

Re: letsencrypt ошибка api

Сообщение KyKyIIIKuH » Пт окт 22, 2021 4:20 pm

просто пересобрать Jail не помогло

надо было еще Jail скелетон пересобрать, не сразу додумался :roll: :lol:

Akrobs
Сообщения: 325
Зарегистрирован: Чт сен 21, 2017 10:48 pm
Откуда: Saint-Petersburg
Контактная информация:

Re: letsencrypt ошибка api

Сообщение Akrobs » Вт окт 26, 2021 10:33 am

alenka писал(а):
Пт окт 22, 2021 2:03 pm
alenka писал(а):
Пт окт 01, 2021 9:52 am
DST Root CA X3 истекает 30 сентября 2021 года.

При предоставлении api, клиенты будут получать ошибку сертификата, для решения выполнить команды:

yum clean all
yum install ca-certificates

После выполнения команд, проверяем cat /etc/pki/tls/certs/ca-bundle.crt | grep "Root CA X3"
Вывод должен быть пустым.

О данном нюансе можете почитать по ссылке https://letsencrypt.org/ru/docs/dst-roo ... mber-2021/
Это было проделано в первую очередь. Вывод команды пустой. Но результата нет(

Я в теме безопасности создал тему с конкретным вопросом.

etc
Сообщения: 15
Зарегистрирован: Ср июл 11, 2018 11:38 am

Re: letsencrypt ошибка api

Сообщение etc » Пн ноя 01, 2021 1:20 pm

При удаленном обновлении плагинов WP cтолкнулся с ошибкой
Installation failed: cURL error 60: SSL certificate problem: certificate has expired

Инструкции из первого поста выполнил но ошибка не исчезла.
Для меня решением стало обновление файла в корневой директории WP /wp-includes/certificates/ca-bundle.crt

Взято отсюда https://wp-kama.com/note/error-making-request-wordpress
1.Загрузите этот файл https://curl.se/ca/cacert.pem .
2.Обновите содержимое /wp-includes/certificates/ca-bundle.crtс содержимым из загруженного файла.
3.СДЕЛАНО! Теперь все должно работать как раньше.

Akrobs
Сообщения: 325
Зарегистрирован: Чт сен 21, 2017 10:48 pm
Откуда: Saint-Petersburg
Контактная информация:

Re: letsencrypt ошибка api

Сообщение Akrobs » Сб ноя 06, 2021 1:31 pm

etc писал(а):
Пн ноя 01, 2021 1:20 pm
Спасибо тебе, добрый человек!!! По этой методике, решил свою проблему с Nextcloud, там тоже оказывается есть сертификат, но я онём и знать не знал, методом поисков нашел его, он оказался от 07.2021, конечно с просроченный.
Благодарю еще раз, очень помогли! :)

Ответить